Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext
Class TreeLogger.Type

    java.lang.Object
      com.google.gwt.core.ext.TreeLogger.Type

Enclosing interface:
  TreeLogger

    public static class TreeLogger.Type

extends java.lang.Object

A type-safe enum of all possible logging severity types.

Method Summary
`java.lang.String` | `getLabel()` Gets the label for this severity type.
`static TreeLogger.Type[]` | `instances()` Gets all the possible severity types as an array.
`boolean` | `isLowerPriorityThan(TreeLogger.Type other)` Determines whether this log type is of lower priority than some other log type.
`boolean` | `needsAttention()` Indicates whether this severity type represents a high severity that should be highlighted for the user.
`java.lang.String` | `toString()`
`static TreeLogger.Type` | `valueOf(java.lang.String label)` Looks up a severity type by label.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### instances

    public static TreeLogger.Type[] instances()

  Gets all the possible severity types as an array.

  Returns:
    an array of severity types

### valueOf

    public static TreeLogger.Type valueOf(java.lang.String label)

  Looks up a severity type by label.

  Parameters:
    `label` - the label of the desired severity
  Returns:
    the severity type labelled `label`, or `null` if no such type exists

### getLabel

    public java.lang.String getLabel()

  Gets the label for this severity type.

  Returns:
    the label

### isLowerPriorityThan

    public boolean isLowerPriorityThan(TreeLogger.Type other)

  Determines whether this log type is of lower priority than some other log type.

  Parameters:
    `other` - the other log type
  Returns:
    `true` if this log type is lower priority

### needsAttention

    public boolean needsAttention()

  Indicates whether this severity type represents a high severity that should be highlighted for the user.

  Returns:
    `true` if this severity is high, otherwise `false`.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD